<!DOCTYPE html>
<html lang="en">
    
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    
    <script>

        class Estudiante {

            constructor(nombreCompleto, edad, bootcamp, sprintActual, proyectosAprobados){
                this.nombreCompleto = nombreCompleto;
                this.edad = edad;
                this.bootcamp = bootcamp;
                this.sprintActual = sprintActual;
                this.proyectosAprobados = proyectosAprobados;
            }

            presentacion(){
                console.log(`
                Hola, soy ${this.nombreCompleto},
                tengo ${this.edad} años,
                estoy en el bootcamp ${this.bootcamp},
                en el sprint #${this.sprintActual},
                hasta ahora me han aprobado ${this.proyectosAprobados} proyectos.
                
                `);
            }

            getNombreCompleto(){
                return nombreCompleto;
            }

            getEdad(){
                return edad;
            }

            getBootcamp(){
                return bootcamp;
            }

            getSprintActual(){
                return sprintActual;
            }

            getProyectosAprobados(){
                return proyectosAprobados;
            }

            setNombreCompleto(nombreCompleto){
                this.nombreCompleto = nombreCompleto;
            }

            setEdad(edad){
                this.edad = edad;;
            }

            setBootcamp(bootcamp){
                this.bootcamp = bootcamp;
            }

            setSprintActual(sprintActual){
                this.sprintActual = sprintActual;
            }

            setProyectosAprobados(proyectosAprobados){
                this.proyectosAprobados = proyectosAprobados;
            }

        }

        let Andry = new Estudiante("Andry Bastidas", 24,"Desarrollo web back end", 1, 0);

        Andry.presentacion();


    </script>

</body>

</html>